EndOfFilteringEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.mpeg.sections
Class EndOfFilteringEvent

    java.lang.Object
      java.util.EventObject
          org.davic.mpeg.sections.SectionFilterEvent
              org.davic.mpeg.sections.EndOfFilteringEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IncompleteFilteringEvent, TimeOutEvent

    public class EndOfFilteringEvent

extends SectionFilterEvent

This class is used to report the end of a filtering operation started by RingSectionFilter or TableSectionFilter. It is not generated when play stops for SimpleSectionFilter.

See Also:
  Serialized Form

Constructor Summary
`EndOfFilteringEvent(SectionFilter f, Object appData)` This constructs an EndOfFiltering event for the specified SectionFilter object.

Method Summary
`Object` | `getSource()` This returns the SectionFilter object which filtered the data.

Methods inherited from class org.davic.mpeg.sections.SectionFilterEvent
`getAppData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndOfFilteringEvent

    public EndOfFilteringEvent(SectionFilter f,
                               Object appData)

  This constructs an EndOfFiltering event for the specified SectionFilter object.

  Parameters:
    `f` - the SectionFilter object which filtered the data.
    `appData` - application data that was passed to the startFiltering method

Method Detail

### getSource

    public Object getSource()

  This returns the SectionFilter object which filtered the data.

  Overrides:
    `getSource` in class `SectionFilterEvent`
  Returns:
    The object on which the Event initially occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD